﻿@using SiteGuide.Service.Views.Kml.Shared
@using SiteGuide.Service.Views.Kml.SitesKml
@using SiteGuide.Service.Helpers
@model SitesKmlViewModel
<Document>
	<name>Australian National Site Guide - @(Model.IsClosedSites ? "Closed" : "Open") hang-gliding and paragliding sites.</name>
	<description>
    @Model.SiteUrl v@(Model.Version.Id), @Model.EditVersion.SubmittedTime A guide to hang-gliding and paragliding sites.<br />Ctrl-click (command-click on Mac) on a color-coded area or path (e.g. a green landing area or blue access path) for more information.
    </description>
	<Style id="styleLaunch">
 	    <IconStyle>
 	        <Icon>
 	            <href>@Model.SiteUrl@Model.ImagesFolderPath/Windsock.png</href>
 	        </Icon>
 	        <hotSpot x="51" y="5" xunits="pixels" yunits="pixels" />
 	    </IconStyle>
 	    <LabelStyle>
 	        <color>ffffffff</color>
 	        <scale>.8</scale>
 	    </LabelStyle>
 	    <BalloonStyle>
 	        <text />
 	        <text><![CDATA[$[description]<hr/>$[geDirections]]]></text>
 	    </BalloonStyle>
 	</Style>
 	<Style id="styleClosedLaunch">
 	    <IconStyle>
 	        <Icon>
     	        <href>@Model.SiteUrl@Model.ImagesFolderPath/Windsock_closed.png</href>
 	        </Icon>
 	        <hotSpot x="51" y="5" xunits="pixels" yunits="pixels" />
 	    </IconStyle>
 	    <LabelStyle>
 	        <color>ffffffff</color>
 	        <scale>.8</scale>
 	    </LabelStyle>
 	    <BalloonStyle>
 	        <text/>
 	        <text><![CDATA[$[description]<hr/>$[geDirections]]]></text>
 	    </BalloonStyle>
 	</Style>
 	@foreach (var style in @Model.Styles)
 	{
 	    <Style id="@style.Id">
 	        <LineStyle>
 	            <color>@style.LineColor</color>
 	            <width>@style.LineWidth</width>
 	        </LineStyle>
 	        @if (style.PolygonColor != null){
 	            <PolyStyle>
     	            <color>@style.PolygonColor</color>
 	            </PolyStyle>
 	        }
 	    </Style>
 	}
 	@foreach (var site in @Model.Sites)
 	{
 	    var launches = Model.Launches[site.Id];
 	    if (launches.Count() == 1)
 	    {
     	    <partial name="./_Launch.cshtml" model="new LaunchViewModel {Site = site, Launch = launches.Single(), SeeAlsos = Model.SeeAlsos[site.Id], Contacts = Model.Contacts[site.Id], SiteUrl = Model.SiteUrl}" />
 	        if (Model.SiteMapshapes[site.Id] != null)
 	        {
 	            <partial name="./_Mapshapes.cshtml" for="SiteMapshapes[site.Id]" />
 	        }
 	    }
 	    else
 	    {
 	        <Folder>
 	            <name>@site.Name</name>
 	            <open>1</open>
 	            <Snippet>@StringHelper.JoinNotEmpty(" - ", site.Type, site.Conditions)</Snippet>
 	            @foreach (var launch in launches)
 	            {
     	            <partial name="./_Launch.cshtml" model="new LaunchViewModel{ Site = site, Launch = launch, SeeAlsos = Model.SeeAlsos[site.Id], Contacts = Model.Contacts[site.Id], SiteUrl = Model.SiteUrl }" />
 	            }
 	            @if (Model.SiteMapshapes[site.Id] != null)
 	            {
 	                <partial name="./_Mapshapes.cshtml" for="SiteMapshapes[site.Id]" />
 	            }
 	        </Folder>
 	    }
 	}
 	@if (Model.SharedMapshapes != null)
 	{
 	    <partial name="./_Mapshapes.cshtml" for="SharedMapshapes" />
 	}
</Document>
